advice/urls.py
from django.urls import path
from . import views
from .views import getData, terima_advice

app_name = 'advice'

urlpatterns = [
    path('', views.terima_advice, name='index'),
    path('getData/', views.getData, name='getData'),
]

bodyology_project/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
    path('advice/', include('advice.urls')),
    path('products/', include('products.urls')),
    path('products/hair/desc/', include('reviewPage.urls')),
    path('products/face/desc/', include('reviewPage.urls')),
    path('products/skin/desc/', include('reviewPage.urls')),
]

homepage/urls.py
from django.urls import path
from .views import home, logout_view, login_view

app_name = 'homepage'

urlpatterns = [
    path('', home, name='home'),
    path('login/', login_view, name='login'),
    path('logout/', logout_view, name='logout'),
]

products/urls.py
from django.urls import path
from . import views

app_name = 'products'

urlpatterns = [
    path('hair/', views.hair, name='hair'),
    path('face/', views.face, name='face'),
    path('skin/', views.skin, name='skin'),
    path('hair/getData/', views.getDataHair, name='getDataHair'),
    path('face/getData/', views.getDataFace, name='getDataFace'),
    path('skin/getData/', views.getDataSkin, name='getDataSkin'),
]

homepage/models.py
# users/models.py
from django.contrib.auth.models import AbstractUser
from django.db import models
from products.models import hairCategory,faceCategory,skinCategory

class CustomUser(AbstractUser):
    hair = models.ManyToManyField(hairCategory)
    face = models.ManyToManyField(faceCategory)
    skin = models.ManyToManyField(skinCategory)

homepage/forms.py
from django import forms
from django.contrib.auth.forms import UserChangeForm, AuthenticationForm, UserCreationForm
from .models import CustomUser

class CustomUserCreationForm(UserCreationForm):

    class Meta:
        model = CustomUser
        fields = ('username', 'email')

class CustomUserChangeForm(UserChangeForm):

    class Meta:
        model = CustomUser
        fields = ('username', 'password')

class CustomUserAuthenticationForm(AuthenticationForm):

    class Meta:
        model = CustomUser
        fields = ('username', 'password')

homepage/views.py
from django.shortcuts import render, redirect
from django.contrib.auth import authenticate, login, logout
from .forms import CustomUserAuthenticationForm

# Create your views here.
def home(request):
    form = CustomUserAuthenticationForm()
    arguments = {
        'form' : form,
    }
    return render(request, 'home.html', arguments)

def login_view(request):
    if request.method == "POST":
        form = CustomUserAuthenticationForm(data=request.POST)
        if form.is_valid():
            #log in the user
            user = form.get_user()
            login(request, user)
            return redirect('homepage:home')
    form = CustomUserAuthenticationForm()
    arguments = {
        'form' : form,
    }
    return render(request, 'home.html', arguments)

def logout_view(request):
    logout(request)
    return redirect('homepage:home')

homepage/templates/base.html
<!DOCTYPE html>
<html>
    {% load static %}
    <head>
        <title>BODYOLOGY</title>
        <meta charset="UTF-8">
        <meta name=”viewport” content="width=device-width; initial-scale=1">
        <link rel="icon" type="img/png" href="https://files.catbox.moe/qoyk7z.png">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>

        {% block customhead %}
        {% endblock customhead %}

    </head>
    <body>
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <a class="navbar-brand" href="{% url 'homepage:home' %}">Bodyology</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
              <ul class="navbar-nav mr-auto mt-2 mt-lg-0"></ul>
              <form class="form-inline my-2 my-lg-0">
                    <a class="nav-link" href="{% url 'homepage:home' %}">HOME</a>
                    <a class="nav-link" href="{% url 'products:hair' %}">HAIR</a>
                    <a class="nav-link" href="{% url 'products:face' %}">FACE</a>
                    <a class="nav-link" href="{% url 'products:skin' %}">SKIN</a>
                    <!-- <a class="nav-link" href="{% url 'homepage:home' %}">SUMMARY</a> -->
                    <a class="nav-link" href="{% url 'advice:index' %}">ADVICE</a>
                    {% if user.is_authenticated %}
                      <a class="nav-link" id="logout" href="{% url 'homepage:logout' %}">LOGOUT</a>
                    {% endif %}
                  </div>
              </form>
            </div>
        </nav>
          {% block content %}
          {% endblock content %}
        <!-- JavaScript -->
        <!-- <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script> -->
        <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.15.0/esm/popper-utils.js"></script> -->
        <script src="{% static 'bootstrap.bundle.min.js' %}"></script> 
    </body>
</html>
    

homepage/templates/home.html
{% extends 'base.html' %}
{% load static %}
{% block customhead %}
<link rel="stylesheet" type="text/css" href="{% static 'style.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'style.css' %}">
{% endblock customhead %}
{% block content %}

<div id='homepage'>
    <div class="container">
        <div class="box">
            {% if user.is_authenticated %}
                <div class="row">
                    <h1 class="hello col-md-12 col-sm-12">Hello, <span>{{ user.username }}</span></h1>
                </div>
            {% else %}
                <div class="row">
                    <h1 class="hello col-md-12 col-sm-12">Hello, <span>{{ user.username }}</span></h1>
                </div>
            {% endif %}
            <div class="row">
                <h1 class="welcome col-md-12 col-sm-12">Welcome to Bodyology</h1>
            </div>
            <div class="row">
              <h3 class="brief col-md-12 col-sm-12">Let me help you to find the best products for you</h3>
            </div>
        </div>
    </div>
</div>

<div id='homepage2'>
    <div class='container'>
        <div class="row">

            <div class="col-md-6 col-sm-12">
                <div class="box-2">
                    <div class="row">
                        <h2 class="title-1">Personalized product recommendation that match your needs</h2>
                    </div>
                    <div class="row">
                        <h6 class="title-2">Join today and get the best care for your body</h6>
                    </div>
                </div>
            </div>

            {% if user.is_authenticated %}
                <div class="col-md-6 col-sm-12">
                    <h2 id="more">More About Us</h2>
                    <h4>Bodyology was established in 2019. This web's aim
                        is to help the visitors find the best products that matched
                        with their problems.
                    </h4>
                    <br>
                    <br>
                    <h3 id="thanks">Thank you for joining!</h3>
                </div>

            {% else %}
            
                <div class="col-md-6 col-sm-12 wrapper">

                    <div class="tabs">
                        <ul>
                            <li data-list="tab_1" id="login-tab">
                                <p>Log In</p>
                            </li>
                            <li data-list="tab_2" id="info-tab">
                                <p>More About Us</p>
                            </li>
                        </ul>
                    </div>

                    <div class="content">
                        <div id ="login-content" class="tab_content tab_1">
                            <span id="join">Let's join with us!</span>
                            <form action="{% url 'homepage:login' %}" method="POST">
                                {% csrf_token %}
                                <p>Username: </p>
                                {{ form.username }}
                                <br>
                                <p style="margin-top: 1rem;">Password: </p>
                                {{ form.password }}
                                <br>
                                <input class="btn btn-primary" type="submit" value="Log in" id="login-button">
                            </form>
                        </div>

                        <div id ="info-content" class="tab_content tab_2">
                           <h3>Bodyology was established in 2019. This web's aim
                               is to help the visitors find the best products that matched
                               with their problems.
                           </h3>
                        </div>
                    </div>
                </div>

            {% endif %}
               
        </div>
    </div>
</div>

<div id="homepage3">
    <div class="title">
        <h2 id="title-3">Here are the testimonials from our users</h2>
    </div>
    <div class="card">
        <div class="card-container">
            
        </div>

    </div>
</div>

<script src="{% static 'jquery.js' %}"></script>

{% endblock content %}